#include <iostream>

using namespace std;

int main(){
    long long X, Y, sol=0;
    cin>>X>>Y;
    long long max, min;
    if(X>Y){
        min=Y;
        max=X;
    }
    if(Y>X){
        max=Y;
        min=X;
    }
    long long izvod=1;
    while(max!=0){
        int broj1=max%10;
        max/=10;
        if(min!=0){
            int broj2=min%10;
            min/=10;
            if(broj1>broj2){
                sol=sol+broj1*izvod;
            }
                else if(broj1<broj2){
                sol=+broj2*izvod;
            }
            else{
                sol=sol+(broj1*izvod + broj2*izvod*10);
                izvod=izvod*10;
            }
        }
        else{
            sol+=broj1*izvod;
        }
    izvod*=10;
    }
    cout << sol << endl;
    return 0;
}